// 2022 Blog Refresh

$color-surface-300: #D1D0D3 !default;
$refresh-black: #171321;
$refresh-purple: #7759c2;
$refresh-gray-bg: linear-gradient(180deg, #d1d0d3 0 70%, #fff 70% 100%);
$refresh-light-gray-bg: #f2f1f5;

$shadow-surface-primary-1: $color-surface-300 0px 8px 50px -24px;
$shadow-surface-primary-2: $color-surface-300 0px 16px 50px -24px;
$shadow-surface-primary-3: $color-surface-300 0px 24px 50px -24px;
$shadow-surface-primary-4: $color-surface-300 0px 32px 50px -24px;

$shadow-surface-secondary-1: $color-surface-300 0px 8px 50px -24px;
$shadow-surface-secondary-2: $color-surface-300 0px 16px 50px -24px;
$shadow-surface-secondary-3: $color-surface-300 0px 24px 50px -24px;
$shadow-surface-secondary-4: $color-surface-300 0px 32px 50px -24px;

@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

// Make sure this gets into the specific refresh sheet.
body {
  background-color: #fff !important;
}

#blog-landing,
#blog-post {
  // Update fonts to Inter
  font-family: "Inter", sans-serif !important;

  // Update the sidebar background and type colors
  .blog-landing-sidebar {
    background: $refresh-light-gray-bg;
    * {
      color: $refresh-black;
    }

    // Sentence case signup form header
    .blog-sidebar-module.blog-sidebar-module-subscribe h3 {
      text-transform: unset;
    }

    // Update marketo button to new primary button color
    .mktoButtonRow .mktoButtonWrap button {
      background: $refresh-black;
      color: #fff;
    }

    input[type="checkbox"] {
      display: grid;
      width: 18px;
      height: 18px;
      line-height: 18px;
      text-align: center;
      cursor: pointer;
      border: 0;
      appearance: none;
      -webkit-appearance: none;
    }

    input[type="checkbox"]::after {
      grid-area: 1/1;
      pointer-events: none;
    }

    input[type="checkbox"]:checked::after {
      content: "✓";
      background-color: $refresh-purple;
      color: #fff;
    }

    #Email:focus {
      border: 1px solid $refresh-purple !important;
    }

    // Make links new purple, give them hover/active/focus states.
    a {
      color: $refresh-purple;
      &:hover,
      &:active,
      &:focus {
        text-decoration: underline;
      }
    }

    // Add new label with heading styles to search input
    .blog-search-heading {
      display: block;
      font-size: 23px;
      font-weight: 600;
      line-height: 32px;
      margin: 0px 30px 16px 30px;
    }

    //Apply heading typography: 
    .heading-type {
      font-size: 23px;
      font-weight: 600;
      line-height: 32px;
      text-transform: unset;
    }

    // Update focus state on inputs in the sidebar
    #search-blog:focus {
      border: 1px solid $refresh-purple !important;
    }

    // Make sure those icon elements are black
    i {
      color: $refresh-black;
    }
  }

  // Convert logo bg image to new color.
  .blog-logo-background {
    background: unset;
    background-color: transparent;
  }

  // Remove the small color swatches to the left.
  .blog-sidebar-module-subscribe:before,
  .blog-sidebar-module-categories:before,
  .blog-sidebar-module-social:before {
    content: unset;
  }

  // Update colors on social links
  .social-link {
    color: $refresh-black !important;
  }

  // Update colors on the hero image
  .blog-hero-tag {
    background: $refresh-black;
    text-transform: unset;
  }

  .blog-hero {
    border-left: none;
  }

  // Update landing page background to white
  .blog-landing-content {
    background: #fff;
  }

  a.blog-hero-title:after,
  .blog-heading-bar-a {
    background: $refresh-purple;
  }

  // Shadows on card hover
  .blog-card,
  .video-card,
  .category-card {
    transition: box-shadow 0.3s ease;
  }

  .blog-card:hover,
  .video-card:hover,
  .category-card:hover {
    box-shadow: $shadow-surface-primary-4;
  }  

  // Update colors on the cards on th elanding page:
  .blog-card-meta:after {
    background: $refresh-black;
  }

  .blog-card-content {
    * {
      color: $refresh-black;
    }
  }

  // Uncapitalize headings
  .blog-heading-bar {
    h3 {
      text-transform: unset;
    }
  }

  // Remove orange heading bars, convert to black and white.
  .blog-heading-bar-b,
  .blog-heading-bar-c,
  .blog-heading-bar {
    background: #fff;
    color: $refresh-black;
  }

  // Update text color on category cards:
  .category-card {
    * {
      color: $refresh-black;
    }
  }

  // Remove the bg image from the category section
  .blog-category-section {
    background: unset;
  }
}

// Blog post specific refresh

#blog-post {
  // Main blog content updates
  * {
    color: $refresh-black;
  }
  .slp-text-ui-secondary,
  .group-hover\:slp-text-ui-secondary:hover {
    color: $refresh-purple !important;
  }

  .slpBlog__article a {
      color: $refresh-purple;
      text-decoration: none;
      &:hover {
          text-decoration: underline;
      }
  }

  // Updates to the side bar
  .slpBlog__aside {
    #Email:focus {
      border: 1px solid $refresh-purple !important;
    }
    .mktoButton {
      background: $refresh-black;
      color: #fff;
      &:hover {
        background: $refresh-black !important;
        color: #fff !important;
      }
    }
  }

  // Give the hover/focus underline to the all posts link and disqus link
  [href="#disqus_thread"]:hover,
  [href="#disqus_thread"]:focus,
  #all-blog-posts:hover,
  #all-blog-posts:focus {
    text-decoration: underline !important;
  }

  // Keep the footer links white
  footer {
    * {
      color: #fff;
    }
    // But the callout text black
    .callout.gitlab-trial {
      * {
        color: $refresh-black;
      }
      // And fix up the CTA button there
      a.btn {
        background: $refresh-black;
        border: 1px solid $refresh-black !important;
        color: #fff;
        transition: all 0.2s ease;
        &:hover,
        &:focus {
          background: #fff !important;
          color: $refresh-black !important;
        }
      }
    }
  }
}
